data {
    int a;
    int b;
    int N;
    real X[N, a, b];
}
parameters {
    real<lower = 0.0> sgm;
    real G[a, b];
}
model {
    sgm ~ exponential(0.001);
    for (j in 1:a) 
        for (k in 1:b) {
            G[j][k] ~ normal(0.0, 1000.0);
    }
    for (i in 1:N)
        for (j in 1:a)
            for (k in 1:b) {
                X[i][j][k] ~ normal(G[j][k], sgm);
    }
}
